#include <iostream>

using namespace std;

int main()
{
    int N, M, j, A, ebk, bsz, esz, oszbk;    //ebk=egy ember baratkozo kedve, bsz=baratokszama
    cin>>N>>M;                        //esz=ellensegek szama, N=versenyzok szama
    cin>>A;
    1<=N<=100000;
    1<=M<=100000;
    
    do
    {
        ebk=A*(bsz-esz);
        
    }while (ebk==N);
    oszbk=N*ebk;
    cout<<oszbk<<endl;
    return 0;
}